Subject: bug#7796: closed (Re: bug#7796: ^M in vc-dir)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 Jan 2011 19:33:02 +0000

Your bug report

#7796: ^M in vc-dir

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7796: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7796
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7796: ^M in vc-dir
From: Eli Zaretskii <[email-masked]>
To: Sam Steingold <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 Jan 2011 21:39:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 6 Jan 2011 14:19:56 -0500
> From: Sam Steingold <[email-masked]>
> Cc: [email-masked]
> 
> >> where ^M are the actual \r characters.
> >> this breaks things, e.g., I cannot hit RET on the file name, I get the
> >> non-existent file with a ^M in the name.
> >> this does not happen with hg and svn.
> >
> > It doesn't happen for me with bzr, either.  What is
> > buffer-file-coding-system of this buffer?  It should be something-dos,
> > I guess it isn't in your case.
> 
> utf-8
> I fixed this by reverting the effects of
> (modify-coding-system-alist 'process "" 'unix)
> which lived in my .emacs since I last used it on windows 4 years ago...

Great!  Closing the bug, then.

Subject: ^M in vc-dir
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Thu, 6 Jan 2011 12:49:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I am running bzr tip emacs on winxp64.
C-x v d emacs/trunk RET
produces a buffer:

=================================
VC backend : Bzr
Working dir: ~/src/emacs/trunk/
Parent branch      : bzr+ssh://[email-masked]/emacs/trunk/^M

Shelves            : No shelved changes

                         ./
                         lisp/
    edited               lisp/w32-fns.el^M
=================================

where ^M are the actual \r characters.
this breaks things, e.g., I cannot hit RET on the file name, I get the
non-existent file with a ^M in the name.
this does not happen with hg and svn.

(executable-find "bzr")
"c:/Program Files (x86)/Bazaar/bzr.exe"
(executable-find "hg")
"c:/Program Files (x86)/TortoiseHg/hg.exe"
(executable-find "svn")
"c:/gnu/cygwin/bin/svn.exe"

-- 
Sam Steingold <http://sds.podval.org>